{
  "type": "minecraft:entity",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:potion",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "custom_data": {
                    "IsDirtyWater": true,
                    "or_edited_item": true,
                    "or_bucket_contents": "dirty_water",
                    "or_can_hold_liquids": true,
                    "or_liquid_holding_item_type": "glass_bottle",
                    "or_liquid_contents": "dirty_water"
                },
                "custom_model_data": {
                  "floats": [
                    2.0,
                    0.0,
                    0.0
                  ]
                },
                "potion_contents": {
                    "custom_color":5192230
                },
                  "minecraft:custom_name": {
                    "translate": "item.minecraft.potion.effect.water",
                    "fallback": "Water Bottle",
                    "italic": false,
                    "color": "white",
                    "extra": [
                      {
                        "translate": "item.overlyrealistic.water_bottle_suffix_dirty",
                        "fallback": " [Dirty]",
                        "color": "gray"
                      }
                    ]
                  },
                  "tooltip_display": {
                    "hidden_components":[
                        "potion_contents"
                    ]
                  },
                  "use_remainder": {
                    "id":"minecraft:glass_bottle",
                    "count":1,
                    "components":{
                        "minecraft:max_stack_size":1
                    }
                  }
                }
            }
          ]
        }
      ]
    }
  ]
}